package konzola;

import java.util.Scanner;

import logika_igre.KontrolerIgre;
import logika_igre.StatusIgre;

public class KonzolnaAplikacija {
	Scanner scanner;
	KontrolerIgre kontrolerIgre;
	
	String getPolje(int polje) {
		if(polje == KontrolerIgre.X)
			return "X";
		
		if(polje == KontrolerIgre.O)
			return "O";
		
		return " ";
	}
	
	void ispis() {
		System.out.println("------------");
		for(int i = 0; i < 3; i++) {
			System.out.print("| ");
			for(int j = 0; j < 3; j++) {
				int polje = kontrolerIgre.getPolje(i, j);
				System.out.print(getPolje(polje));
				System.out.print(" | ");
			}
			System.out.println("");
			System.out.println("------------");
		}
	}
	
	void pokreniIgruUKonzoli() {
		StatusIgre statusIgre = StatusIgre.U_TOKU;
		
		int x, y;
		
		while(statusIgre == StatusIgre.U_TOKU) {
			System.out.println("Na potezu je " + kontrolerIgre.getNaPotezu() + ". Unesite koordinate polja:");
			x = scanner.nextInt();
			y = scanner.nextInt();
			
			if(!kontrolerIgre.odigrajPotez(x, y)) {
				System.out.println("Los potez");
			} else {
				statusIgre = kontrolerIgre.getStatusIgre();
				ispis();
			}
		}
		
		System.out.println("\n\nKraj igre");
		
		switch (statusIgre) {
			case NERESENO:
				System.out.println("NERESENO");
				return;
			case POBEDIO_X:
				System.out.println("Pobedio X");
				return;
			case POBEDIO_O:
				System.out.println("Pobedio O");
				return;
		}
	}
	
	void restart() {
		kontrolerIgre.inicijalizujIgru();
	}
	
	public KonzolnaAplikacija() {
		kontrolerIgre = new KontrolerIgre();
		scanner = new Scanner(System.in);
		
		boolean zelimDaIgram = true;
		while(zelimDaIgram) {
			pokreniIgruUKonzoli();
			System.out.println("Da li zelite da nastavite igru: [Y]es, [N]o");
			String rezultat = scanner.next();
			if(rezultat.equals("Y")) {
				restart();
			} else {
				zelimDaIgram = false;
			}
		}
	}
}
